Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.changedetection.state
Class StateFileUtil

    java.lang.Object
      org.gradle.api.changedetection.state.StateFileUtil

    class StateFileUtil
    extends java.lang.Object

author:
  Tom Eyckmans

Constructor Summary
`StateFileUtil(File projectRootDirectory, File directoryToProcess, File dotGradleStatesDirectory, DigesterFactory shaDigesterFactory, IoFactory ioFactory)`

Method Summary
`java.lang.String` | `getAbsoluteDirectoryToProcessPath()`
`java.lang.String` | `getDirStateFilename(java.lang.String relativePathDigest)`
`File` | `getDirectoryStateDir()`
`File` | `getDirectoryToProcess()`
`File` | `getDirsListFile(int levelIndex)`
`java.lang.String` | `getDirsListFilename(int levelIndex)`
`java.lang.String` | `getDirsStateFileKeyToDirStateFile(java.lang.String directoriesStateFileItemKey)`
`File` | `getDirsStateFileKeyToFile(java.lang.String directoriesStateFileItemKey)`
`java.lang.String` | `getDirsStateFilename(int levelIndex)`
`File` | `getNewDirStateFile(DirectoryState directoryState)`
`File` | `getNewDirectoryStateDir()`
`File` | `getNewDirsStateFile(java.lang.String stateFilename)`
`File` | `getOldDirectoryStateDir()`
`File` | `getOldDirsStateFile(java.lang.String stateFilename)`
`java.lang.String` | `getRelativePathToDirectoryToProcess(File file)`
`java.lang.String` | `getRelativePathToProjectRoot(File file)`
`StateFileReader` | `getStateFileReader(File stateFile)`
`StateFileWriter` | `getStateFileWriter(File stateFile)`
`java.lang.String` | `getStringDigest(java.lang.String relativePath)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### StateFileUtil

    public StateFileUtil(File projectRootDirectory, File directoryToProcess, File dotGradleStatesDirectory, DigesterFactory shaDigesterFactory, IoFactory ioFactory)

Method Detail

### getAbsoluteDirectoryToProcessPath

    public java.lang.String getAbsoluteDirectoryToProcessPath()

### getDirStateFilename

    public java.lang.String getDirStateFilename(java.lang.String relativePathDigest)

### getDirectoryStateDir

    public File getDirectoryStateDir()

### getDirectoryToProcess

    public File getDirectoryToProcess()

### getDirsListFile

    public File getDirsListFile(int levelIndex)

### getDirsListFilename

    public java.lang.String getDirsListFilename(int levelIndex)

### getDirsStateFileKeyToDirStateFile

    public java.lang.String getDirsStateFileKeyToDirStateFile(java.lang.String directoriesStateFileItemKey)

### getDirsStateFileKeyToFile

    public File getDirsStateFileKeyToFile(java.lang.String directoriesStateFileItemKey)

### getDirsStateFilename

    public java.lang.String getDirsStateFilename(int levelIndex)

### getNewDirStateFile

    public File getNewDirStateFile(DirectoryState directoryState)

### getNewDirectoryStateDir

    public File getNewDirectoryStateDir()

### getNewDirsStateFile

    public File getNewDirsStateFile(java.lang.String stateFilename)

### getOldDirectoryStateDir

    public File getOldDirectoryStateDir()

### getOldDirsStateFile

    public File getOldDirsStateFile(java.lang.String stateFilename)

### getRelativePathToDirectoryToProcess

    public java.lang.String getRelativePathToDirectoryToProcess(File file)

### getRelativePathToProjectRoot

    public java.lang.String getRelativePathToProjectRoot(File file)

### getStateFileReader

    public StateFileReader getStateFileReader(File stateFile)

### getStateFileWriter

    public StateFileWriter getStateFileWriter(File stateFile)

### getStringDigest

    public java.lang.String getStringDigest(java.lang.String relativePath)

Groovy Documentation